<!DOCTYPE html>
<html>
	<head>
		<title>Mon Simon</title>

			<style type="text/css">

			html {
				background-image: url("seigaiha.png");
			}

			nav {
				background-image: url("stan-smith-1.png" no-repeat);
				position: absolute;
			}

			.roger {
				position: absolute;
				top: 0;
				right: 0;
				margin-bottom: 20px;
				}
			body {
				margin-top: 5%;

				}
			main {
				display: inline-block;
				width: 400px;
				height: 200px;
				border-width: 300px;
					
				}
			button, .pushed {
				width: 200px;
				height: 100px;

				}
			button:hover {
					
					}
			button:active {

					}
			span.pushed {
					padding: 0;
					border-radius: 10px;
					display: none;
					width: 200px;
					height: 100px;
					}
			.pushed {
					margin-left: 26%;
					text-align: center;
					
				}

			button#btn1 span.pushed {
					background-color: #5310be;
					}
			button#btn2 span.pushed {
					background-color: #52ce14;
					}
			button#btn3 span.pushed {
					background-color: #5214de;
					}
			button#btn4 span.pushed {
					background-color: #dede52;
					}
			button:active span.pushed, button.actif span.pushed {
					display: block;
					}

			.Select_lv {
					margin-bottom: 5%;
					text-align: center;
					margin-left: 10px;
					}

			.str {
					
					}
			</style>
</head>
<body>
	<nav>
		<img src="stan-smith-1.png" alt="" width="350" no-repeat />
	</nav>
		<div class="roger">
			<img src="roger.png" height="350">
		</div>

	<header class="Select_lv"> 
		<button class="button" id="lv1">Lv1</button>
		<button class="button" id="lv2">Lv2</button>
		<button class="button" id="lv3">Lv3</button>
		<button class="button" id="lv4">Lv4</button>
		<button id="str" onclick="start"> START </button>
	</header>

	<main class="pushed">
		<button id="btn1"><span class="pushed"></span></button>
		<button id="btn2"><span class="pushed"></span></button>
		<button id="btn3"><span class="pushed"></span></button>
		<button id="btn4"><span class="pushed"></span></button>
	</main>
<!-- 	<audio>
		<source id="audio" src="1.wav" type="audio/wav">
		<source id="audio" src="2.wav" type="audio/wav">
		<source id="audio" src="3.wav" type="audio/wav">
		<source id="audio" src="4.wav" type="audio/wav">
	</audio> -->

	<script type="text/javascript">

			var boutons = [document.getElementById("btn1"), document.getElementById("btn2"), document.getElementById("btn3"), document.getElementById("btn4")];
			var sequence = [];  
			document.getElementById("str").addEventListener("click", start());
						console.log("Memorisez la sequence");
				// 0 : initialisation
				function start() {
						// 1 : montrer au joueur les boutons choisis
					
					function allumer() {
						var courant = 0;
						for (var i = 0; i < 4; i++); 
							sequence.push(boutons[Math.floor(Math.random() * 4)]);
							}	
					function eteindre(bouton_a_eteindre) {
							bouton_a_eteindre.classList.remove('actif');
								}
							// allumer le bouton
							sequence[courant].classList.add('actif');
							// différer l'extinction de 600ms
							setTimeout(eteindre, 600, sequence[courant]);
							// différer l'allumage du bouton suivant dans 700ms
							courant++;
							if (courant < sequence.length) {
							setTimeout(allumer, 700);
							} else {
							// quand la séquence est finie, on laisse le joueur jouer
							tourJoueur();
						}	
					function tourJoueur() {
						console.log("A vous !");
						courant = 0;
						// au bout de cinq secondes, gameover
					var to = setTimeout(gameover, 5000);

						// écoutons les clics
					for (var i = 0; i < boutons.length; i++) {
							boutons[i].addEventListener("click", verif);
						}

					function gameover() {
						// ne pas oublier de retirer les écouteurs de clic
					console.log('Temps écoulé');
					for (var i = 0; i < boutons.length; i++) {
						boutons[i].removeEventListener("click", verif);
						}
					}
						// comparer avec la séquence
					function verif() {
							// dans tous les cas, on retire le timeout qui lance le gameover à 5s
						clearTimeout(to);
							// this désigne le bouton cliqué
						if (this != sequence[courant]) {
							// perdu
							sequence = [];
							courant = 0;
							console.log("Perdu !");
							// on retire les listeners
							for (var i = 0; i < boutons.length; i++) {
								boutons[i].removeEventListener("click", verif);
							}
						} else {
							// bon bouton
							courant++;
							if (courant < sequence.length) {
								// s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
								to = setTimeout(gameover, 5000);
							} else {
								// round gagné
								// on ajoute un bouton à la séquence
								sequence.push(boutons[Math.floor(Math.random() * 4)]);
								courant = 0;
								setTimeout(allumer, 300);
								// on retire les listeners, c'est à l'ordinateur de montrer la séquence
								for (var i = 0; i < boutons.length; i++) {
									boutons[i].removeEventListener("click", verif);
								}	
							}
						}		
					}
					allumer();
				}
			}	
		</script>
</body>
</html>
<!--function play(){
       				var audio = document.getElementById("audio")
       				document.getElementById("btn").addEventListener("click", play);
       				audio.play();
                	-->